﻿@model ViewModels.Account.SignInViewModel

@{
    ViewBag.Title = "Sign in";
}

<section class="account-box">
    <div class="container">
        <div class="row line-title-seperator">
            <div class="col-md-4">
                <hr class="line">
            </div>
            <div class="col-md-4">
                <h2 class="title">Sign in</h2>
            </div>
            <div class="col-md-4">
                <hr class="line">
            </div>
        </div>
        <div class="row">
            <div class="col-md-6">
                <div class="alert alert-info">
                    <ul>
                        <li>You should get '<b>Google authenticator temporary password</b>' from Google Authenricator mobile application</li>
                        <li>Don't have an account ? please <b><a href="/Account/SignUp">Sign Up</a></b></li>
                        <li>To return to home page <b><a title="return to home page" href="/">click here</a></b></li>
                    </ul>
                </div>

                <div class="alert alert-success">
                    If you don't have Google Authentication App on your mobile, try links below:
                    <br /><br />
                    <div style="text-align:center">
                        <a class="btn btn-default" title="Download Google Authentication Android version" href="https://play.google.com/store/apps/details?id=com.google.android.apps.authenticator2&amp;hl=en"><i class="fa fa-android"></i> Download Android Version</a>
                        &nbsp;&nbsp;&nbsp;&nbsp;
                        <a class="btn btn-default" title="Download Google Authentication IOS version" href="https://itunes.apple.com/us/app/google-authenticator/id388497605?mt=8"><i class="fa fa-apple"></i> Download IOS Version</a>
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                @using (Html.BeginForm("SignIn", "Home", new { ReturnUrl = Request["returnUrl"] }, FormMethod.Post))
                {
                    @Html.AntiForgeryToken()
                    @Html.ValidationSummary(true)

                    <div class="form-group">
                        @Html.LabelFor(c => c.Username, new { @class = "label-control" })
                        @Html.TextBoxFor(c => c.Username, new { @class = "form-control", placeholder = "Required" })
                        @Html.ValidationMessageFor(c => c.Username)
                    </div>
                    <br />
                    <div class="form-group">
                        @Html.LabelFor(c => c.Password, new { @class = "label-control" })
                        @Html.PasswordFor(c => c.Password, new { @class = "form-control", placeholder = "Required" })
                        @Html.ValidationMessageFor(c => c.Password)
                    </div>
                    <div class="form-group">
                        @Html.LabelFor(c => c.TemporaryPassword, new { @class = "label-control" })
                        @Html.TextBoxFor(c => c.TemporaryPassword, new { @class = "form-control", placeholder = "Required" })
                        @Html.ValidationMessageFor(c => c.TemporaryPassword)
                    </div>
                    <div class="form-group">
                        @Html.CheckBoxFor(c => c.RememberMe)
                        @Html.DisplayNameFor(c => c.RememberMe)
                    </div>
                    <div class="form-group">
                        <img src="@Url.Action("Image", "Captcha", new { cc = Model.cc, area = "" })" />

                        <a  title="refresh serurity image" href="@Url.Action("SignIn", "Home", new { area = "Account" })">
                            <i class="fa fa-refresh"></i>
                        </a>
                    </div>
                    <div class="form-group">
                        @Html.LabelFor(c => c.Captcha, new { @class = "label-control" })
                        @Html.TextBoxFor(c => c.Captcha, new { @class = "form-control small-txt", placeholder = "Required" })
                        @Html.ValidationMessageFor(c => c.Captcha)
                    </div>
                    <br />
                    <div class="form-group">
                        <input class="btn btn-info" type="submit" value='Sign in' />
                        &nbsp;&nbsp;
                        @Html.ActionLink("Forgot password", "ForgetPassword", "Home", new { area = "Account" }, new { @class = "btn btn-success", style = "width:auto;" })
                    </div>
                    <input name="cc" type="hidden" value="@Model.cc"/>
                }
            </div>
        </div>

    </div>
</section>


@section scripts{
    <script src="~/Content/lib/js/jquery.validate.min.js"></script>
    <script src="~/Content/lib/js/jquery.validate.unobtrusive.min.js"></script>
}